using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace wpf_connection3.model
{
    public interface IDataProvider
    {
        IEnumerable<Product> getProduct(int pageNum);
        int getProductCount();
        void setOrder(string condition);

        List<ProductType> getProductTypes();
        void clearFilter();
        void addFilter(string name, object value);
        void setMinCostForAgent(decimal minCost, int[] ids);
        int getArticleCheck(string article, int ID);
        void saveProduct(Product product);
        int saleCount(int ID);
        void removeProductMaterial(int ID);
        void removeProductCostHistory(int ID);
        void removeProduct(int iD);
    }

}
